
QGIS Application - Bug report #13093

SAGA kernels and other commands are created without a CRS, or with a wrong one

2015-07-08 07:31 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21160

Description

The output of saga:kerneldensityestimation does not have a CRS.

As a result, calculating contours (with gdal) on the kernel result in a wrong projection (missing +towg84, thus resulting in a custom CRS).

Unclear whether it is another bug, or result from the previous one.

Related issues:

Related to QGIS Application - Bug report # 6945: SAGA vector produced without... Closed 2013-01-04

History

#1 - 2015-07-08 07:46 AM - Paolo Cavallini

Other commands (e.g. slope, aspect, curvature) seem to work well (with CRS)

#2 - 2015-07-08 07:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please try issuing the command from the SAGA command line interface and check if the output has the same issue.

#3 - 2015-07-08 07:59 AM - Paolo Cavallini

- Status changed from Feedback to Open

SAGA itself has not changed (still 2.1.2); what is different is the Processing provider.

#4 - 2015-07-08 08:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

likely duplicate of #11884

#5 - 2015-07-08 08:52 AM - Paolo Cavallini

- Status changed from Feedback to Open
This could be for the second part of this ticket, not for the first one, where there is no CRS.

#6 - 2015-07-17 12:46 AM - Paolo Cavallini

The created prj is:======================

PROJCS["OSGB 1936 / British National Grid",GEOGCS["OSGB

1936",DATUM["OSGB_1936",SPHEROID["Airy

1830",6377563.396,299.3249646,AUTHORITY["EPSG","7001"]],TOWGS84[446.448,-125.157,542.06,0.15,0.247,0.842,-20.489],AUTHORITY["EPSG"

"6277"]],PRIMEM["Greenwich",0,AUTHORITY["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY["EPSG","9122"]],AUTHORITY["EPSG","4277"]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",49],PARAMETER["central_meridian",-2],PARAMETER["scale

G","4277"]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",49],PARAMETER["central_meridian",-2],PARAMETER["scale_factor",0.9996012717],PARAMETER["false_easting",400000],PARAMETER["false_northing",-100000],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AXIS["Easting",EAST],AXIS["Northing",NORTH],AUTHORITY["EPSG","27700"]]======================

r",0.9996012717],PARAMETER["false_easting",400000],PARAMETER["false_northing",-100000],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AXIS["Easting",EAST],AXIS["Northing",NORTH],AUTHORITY["EPSG","27700"]]======================

asting",EAST],AXIS["Northing",NORTH],AUTHORITY["EPSG","27700"]]======================

It seems more of a qpj, maybe this is why it is not recognized.

This seems to happen also for other backends, but I did not find a way of reproducing it.

processing.runalg("gdalogr:contour","/tmp/processing/a06b812a38094eea8f21468a15731962/TARGETOUTGRID.sdat",0.001,"deaths","",None)

also returns a shp without prj

#7 - 2015-07-17 12:48 AM - Paolo Cavallini

- Category changed from Processing/SAGA to Processing/Core

- Subject changed from SAGA kernels are created without a CRS to SAGA kernels and other commands are created without a CRS, or with a wrong 

one

#8 - 2016-10-25 04:16 AM - Alexander Bruy

Probably same issue as #6945 (for vectors)

#9 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#10 - 2018-03-07 05:46 PM - Paolo Cavallini

- Category changed from Processing/Core to Processing/SAGA

- Status changed from Open to Closed

- Description updated

- Assignee deleted (Victor Olaya)

- Affected QGIS version changed from master to 3.0.0

Fixed in QGIS 3.
